Subject: bug#23274: closed (Re: bug#23274: Misleading error message when running guix-daemon as unprivileged user)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Dec 2017 16:23:02 +0000

Your bug report

#23274: Misleading error message when running guix-daemon as unprivileged user

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23274: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23274
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23274: Misleading error message when running guix-daemon as unprivileged user
From: [email-masked] (Ludovic Courtès)
To: Martin Castillo <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Dec 2017 17:22:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Martin,

Martin Castillo <[email-masked]> skribis:

>> “Address already in use” makes me directly think that there is already
>>another daemon running.
>
> This was in response to OP, saying that I don't think that needs to be changed.
>
> The rest was about testing it with root and I (half) expected an error message that explicitly says, that another daemon is already running. If this was right, op would be right. But this is not the case and it seems like it is wanted the way it is.
>
> So yes, there is no problem in my eyes, too. This can be closed.

OK, I had completely misunderstood, thanks for clarifying.  Closing!

Ludo’.

Subject: Misleading error message when running guix-daemon as unprivileged user
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 11 Apr 2016 21:22:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

When trying to start the guix-daemon as an unprivileged user, the
following error message is printed:

error: cannot bind to socket `/var/guix/daemon-socket/socket': Address already in use

Would it make sense to try to provide a more helpful error message?